=== debian/changelog ===
rpi-ws281x (1.1.0-0ubuntu1) jammy; urgency=medium

  * Initial packaging for Ubuntu (LP: #1969647)

 -- Dave Jones <dave.jones@canonical.com>  Wed, 20 Apr 2022 18:03:37 +0100
