=== debian/control ===
Source: rpi-ws281x
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Section: libs
Homepage: https://github.com/jgarff/rpi_ws281x
Priority: optional
Build-Depends: cmake, debhelper-compat (= 13)
Standards-Version: 4.5.1

Package: libws2811-dev
Architecture: armhf arm64
Multi-Arch: same
Depends: ${misc:Depends}
Description: Raspberry Pi WS281x Library
 Control library WS281x neopixel LEDs for the Raspberry Pi.
